Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core.factory
Class TimerNodeFactory

    java.lang.Object
      org.jbpm.ruleflow.core.factory.NodeFactory
          org.jbpm.ruleflow.core.factory.TimerNodeFactory

    public class TimerNodeFactory

extends NodeFactory

Field Summary

Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory
`nodeContainerFactory`

Constructor Summary
`TimerNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

Method Summary
`protected Node` | `createNode()`
`TimerNodeFactory` | `delay(String delay)`
`protected TimerNode` | `getTimerNode()`
`TimerNodeFactory` | `name(String name)`
`TimerNodeFactory` | `period(String period)`

Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory
`done, getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerNodeFactory

    public TimerNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                            NodeContainer nodeContainer,
                            long id)

Method Detail

### createNode

    protected Node createNode()

  Specified by:
    `createNode` in class `NodeFactory`

### getTimerNode

    protected TimerNode getTimerNode()

### name

    public TimerNodeFactory name(String name)

### delay

    public TimerNodeFactory delay(String delay)

### period

    public TimerNodeFactory period(String period)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.